local skins = {}
for k,v in pairs(SILVERSKINS.SILVER) do
	local assets = {}
	for skin,anim in pairs(v.builds) do
		table.insert(assets, anim)
	end
	if SKIN_RARITY_COLORS.ModMade ~= nil then table.insert(skins, AddModCharacterSkin("silver", k, v.builds, assets, {"SILVER", "CHARACTER"}, v.options)) end
end

return CreatePrefabSkin("silver_none", {
	base_prefab = "silver",
	skins = {
		normal_skin = "silver",
		ghost_skin = "ghost_silver_build",
	},
	assets = {
		Asset( "ANIM", "anim/silver.zip" ),
		Asset( "ANIM", "anim/ghost_silver_build.zip" ),
	},
	tags = {"SILVER", "CHARACTER"},
	skip_item_gen = true,
	skip_giftable_gen = true,
}), unpack(skins)